# Simple toolchain template file for gcc running on i686 Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR i686)

set(CMAKE_SYSROOT /opt/i686-linux-gnu/i686-linux-gnu/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/i686-linux-gnu-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/i686-linux-gnu-g++)

set(CMAKE_LINKER  /opt/bin/i686-linux-gnu-ld)
set(CMAKE_OBJCOPY /opt/bin/i686-linux-gnu-objcopy)

set(CMAKE_AR     /opt/i686-linux-gnu/bin/i686-linux-gnu-gcc-ar)
set(CMAKE_NM     /opt/i686-linux-gnu/bin/i686-linux-gnu-gcc-nm)
set(CMAKE_RANLIB /opt/i686-linux-gnu/bin/i686-linux-gnu-gcc-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
